summaryrefslogtreecommitdiff
path: root/tests/od
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-11 23:30:49 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:39 +0200
commit0539705768992ebcc290bc859f64e27898c7f958 (patch)
tree9e49d8f9aca7097cdff462da3e67cbc2ac941cda /tests/od
parent44629cf147ba5c3827b5252e36ce50ce447b36b8 (diff)
downloadcoreutils-0539705768992ebcc290bc859f64e27898c7f958.tar.xz
Move all tests from test/{od,sha1sum,shred,stty} to tests/misc/.
Reflect these renamings: od/od-N misc/od-N od/x8 misc/od-x8 sha1sum/basic-1 misc/sha1sum sha1sum/sample-vec misc/sha1sum-vec shred/exact misc/shred-exact shred/remove misc/shred-remove stty/basic-1 misc/stty stty/invalid misc/stty-invalid stty/row-col-1 misc/stty-row-col * tests/misc/Makefile.am (TESTS): Add the new files. * tests/Makefile.am (SUBDIRS): Remove the dir names. * tests/od, tests/sha1sum, tests/shred, tests/stty: Remove the directories. * configure.ac (AC_CONFIG_FILES): Remove the corresponding Makefile names.
Diffstat (limited to 'tests/od')
-rw-r--r--tests/od/Makefile.am12
-rwxr-xr-xtests/od/od-N51
-rwxr-xr-xtests/od/x862
3 files changed, 0 insertions, 125 deletions
diff --git a/tests/od/Makefile.am b/tests/od/Makefile.am
deleted file mode 100644
index 21396a96b..000000000
--- a/tests/od/Makefile.am
+++ /dev/null
@@ -1,12 +0,0 @@
-## Process this file with automake to produce Makefile.in -*-Makefile-*-.
-
-EXTRA_DIST = $(TESTS)
-
-TESTS_ENVIRONMENT = \
- top_srcdir=$(top_srcdir) \
- srcdir=$(srcdir) \
- PERL="$(PERL)" \
- CU_TEST_NAME=`basename $(abs_srcdir)`,$$tst \
- PATH="$(VG_PATH_PREFIX)`pwd`/../../src$(PATH_SEPARATOR)$$PATH"
-
-TESTS = od-N x8
diff --git a/tests/od/od-N b/tests/od/od-N
deleted file mode 100755
index 341ff0af4..000000000
--- a/tests/od/od-N
+++ /dev/null
@@ -1,51 +0,0 @@
-#!/bin/sh
-# Verify that `od -N N' reads no more than N bytes of input.
-
-# Copyright (C) 2001, 2004, 2005, 2006 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-if test "$VERBOSE" = yes; then
- set -x
- od --version
-fi
-
-pwd=`pwd`
-tmp=od-N.$$
-trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-echo abcdefg > in || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework' 1>&2
- (exit 1); exit 1
-fi
-
-fail=0
-
-(od -An -N3 -c; od -An -N3 -c) < in > out
-cat <<EOF > exp || fail=1
- a b c
- d e f
-EOF
-cmp out exp || {
- fail=1
- diff out exp 2> /dev/null
- }
-
-(exit $fail); exit $fail
diff --git a/tests/od/x8 b/tests/od/x8
deleted file mode 100755
index 0f33f58a9..000000000
--- a/tests/od/x8
+++ /dev/null
@@ -1,62 +0,0 @@
-#!/bin/sh
-# verify that od -t x8 works properly
-# This would fail before coreutils-4.5.2.
-
-# Copyright (C) 2002, 2005, 2006 Free Software Foundation, Inc.
-
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-
-if test "$VERBOSE" = yes; then
- set -x
- od --version
-fi
-
-od -t x8 /dev/null >/dev/null || {
- echo >&2 "$0: 8-byte test skipped"
- exit 77
-}
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-echo abcdefgh |tr -d '\n' > in || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
-fail=0
-
-od -An -t x8 in > out-raw || fail=1
-sed 's/^ //;s/\(..\)/\1 /g;s/ $//' out-raw \
- | tr ' ' '\n' \
- | sort -n \
- > out
-
-od -An -t x1 in \
- | sed 's/^ //' \
- | tr ' ' '\n' \
- | sort -n \
- > exp
-
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
-
-(exit $fail); exit $fail